diff -pruN 27-6/debian/changelog 27-8/debian/changelog
--- 27-6/debian/changelog	2019-09-20 13:02:40.000000000 +0000
+++ 27-8/debian/changelog	2020-07-24 08:38:01.000000000 +0000
@@ -1,3 +1,21 @@
+c2esp (27-8) unstable; urgency=medium
+
+  * Rework GCC-10 patch with simpler extern stanza
+
+ -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:38:01 +0200
+
+c2esp (27-7) unstable; urgency=medium
+
+  * Packaging cleanup.
+    - Refresh Homepage URL
+    - Bump Standards-Version to 4.5 without changes needed
+    - Drop pre-oldstaple Breaks/Replaces
+  * Fix FTBFS with GCC-10 (Closes: #957061)
+    - Add extern stanzas to variable definitions in header
+    - Namespace overlapping global variable names
+
+ -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:13:14 +0200
+
 c2esp (27-6) unstable; urgency=low
 
   * Add gitlab-ci configuration for Salsa
diff -pruN 27-6/debian/control 27-8/debian/control
--- 27-6/debian/control	2019-09-20 13:02:40.000000000 +0000
+++ 27-8/debian/control	2020-07-24 08:38:01.000000000 +0000
@@ -7,10 +7,10 @@ Build-Depends: libcupsimage2-dev (>= 1.6
                libcupsfilters-dev,
                libjbig-dev,
                debhelper-compat (= 12)
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/printing-team/c2esp
 Vcs-Git: https://salsa.debian.org/printing-team/c2esp.git
-Homepage: http://cupsdriverkodak.sf.net/
+Homepage: https://sourceforge.net/projects/cupsdriverkodak/
 
 Package: printer-driver-c2esp
 Architecture: any
@@ -18,9 +18,6 @@ Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cups-ppdc
 Suggests: psutils
-Breaks: cups (<< 1.5.0-2~),
-        c2esp (<< 19-2~)
-Replaces: c2esp (<< 19-2~)
 Description: printer driver for Kodak ESP AiO color inkjet Series
  The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
  AiO color inkjet printers series. It is likely to work on the
diff -pruN 27-6/debian/patches/0002-Add-extern-stanzas-to-variable-definitions-in-header.patch 27-8/debian/patches/0002-Add-extern-stanzas-to-variable-definitions-in-header.patch
--- 27-6/debian/patches/0002-Add-extern-stanzas-to-variable-definitions-in-header.patch	1970-01-01 00:00:00.000000000 +0000
+++ 27-8/debian/patches/0002-Add-extern-stanzas-to-variable-definitions-in-header.patch	2020-07-24 08:38:01.000000000 +0000
@@ -0,0 +1,44 @@
+From: Didier Raboud <odyx@debian.org>
+Date: Fri, 24 Jul 2020 09:59:59 +0200
+Subject: Add extern stanzas to variable definitions in header,
+ for GCC-10 -fno-common new default
+
+Closes: #957061
+---
+ src/c2espcommon.c | 4 ++--
+ src/c2espcommon.h | 4 ++--
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/src/c2espcommon.c b/src/c2espcommon.c
+index 0c83471..fa5dd8f 100644
+--- a/src/c2espcommon.c
++++ b/src/c2espcommon.c
+@@ -42,11 +42,11 @@
+  * Globals...
+  */
+ char		CallerName[50];  	/* String that identifies the calling program */
+-int		DoBack;			/* Enables the back channel comms */ 
++extern int	DoBack;			/* Enables the back channel comms */
+ char 		BackBuf[32000]; //for the back channel replies from the printer
+ int 		BackBufLen=sizeof(BackBuf)-1;
+ FILE 		*LogFile = NULL; //file descriptor for log file
+-time_t		StartTime;
++extern time_t	StartTime;
+ int		BlackPercent, ColourPercent;
+ 
+ time_t KeepAwake(time_t Start, int Interval, FILE *PrintFile)
+diff --git a/src/c2espcommon.h b/src/c2espcommon.h
+index 088a2b8..e657481 100644
+--- a/src/c2espcommon.h
++++ b/src/c2espcommon.h
+@@ -35,8 +35,8 @@
+ /*
+  * Globals...
+ */
+-char 		BackBuf[32000]; //for the back channel replies from the printer
+-int		ColourPercent, BlackPercent; //to store the detected marker levels
++extern char BackBuf[32000]; //for the back channel replies from the printer
++extern int ColourPercent, BlackPercent; //to store the detected marker levels
+ 
+ 
+ time_t KeepAwake(time_t Start, int Interval, FILE *PrintFile);
diff -pruN 27-6/debian/patches/series 27-8/debian/patches/series
--- 27-6/debian/patches/series	2019-09-20 13:02:40.000000000 +0000
+++ 27-8/debian/patches/series	2020-07-24 08:38:01.000000000 +0000
@@ -1 +1,2 @@
 0001-Fix-various-missing-includes.patch
+0002-Add-extern-stanzas-to-variable-definitions-in-header.patch
